<?php
/**
 * The template for displaying all single posts.
 *
 * @link https://developer.wordpress.org/themes/basics/template-hierarchy/#single-post
 *
 * @package Theme Palace
 * @subpackage Archie
 * @since Archie 1.0.0
 */

get_header(); 
?>
<div id="inner-content-wrapper">
	<div id="primary" class="content-area">
		<main id="main" class="site-main" role="main">
				<?php
				while ( have_posts() ) : the_post(); ?>
					<div class="single-post-wrapper">
						<?php get_template_part( 'template-parts/content', 'single' ); ?>
					</div><!-- .single-post-wrapper -->

					<?php
					/**
					* Hook archie_action_post_pagination
					*  
					* @hooked archie_post_pagination 
					*/
					do_action( 'archie_action_post_pagination' );

					// If comments are open or we have at least one comment, load up the comment template.
					if ( comments_open() || get_comments_number() ) :
						comments_template();
					endif;
			 	endwhile; // End of the loop.
				?>
		</main><!-- #main -->
	</div><!-- #primary -->

	<?php  
	if ( archie_is_sidebar_enable() ) {
		get_sidebar();
	}
	?>
</div><!-- .page-section -->
<?php
get_footer();
